Is the new airport extreme compatible with the ViaSat modems used by Exede?

I have two older airport extremes - 6yrs and 8-9 yrs old. Neither is working well with the ViaSat.

  • Asked by fn from Mount Desert
AirPort Extreme

AirPort Extreme

Product No Longer Available

No Answers have been submitted